Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
OsiClpDisasterHandler Class Reference

`#include <OsiClpSolverInterface.hpp>`

Inheritance diagram for OsiClpDisasterHandler:
[legend]
Collaboration diagram for OsiClpDisasterHandler:
[legend]

## Public Member Functions
Virtual methods that the derived classe should provide.
virtual void | intoSimplex ()
| Into simplex. More...
virtual bool | check () const
| Checks if disaster. More...
virtual void | saveInfo ()
| saves information for next attempt More...
virtual int | typeOfDisaster ()
| Type of disaster 0 can fix, 1 abort. More...
Constructors, destructor
| OsiClpDisasterHandler (OsiClpSolverInterface *model=NULL)
| Default constructor. More...
virtual | ~OsiClpDisasterHandler ()
| Destructor. More...
| OsiClpDisasterHandler (const OsiClpDisasterHandler &)
OsiClpDisasterHandler & | operator= (const OsiClpDisasterHandler &)
virtual ClpDisasterHandler * | clone () const
| Clone. More...
Sets/gets
void | setOsiModel (OsiClpSolverInterface *model)
| set model. More...
OsiClpSolverInterface * | osiModel () const
| Get model. More...
void | setWhereFrom (int value)
| Set where from. More...
int | whereFrom () const
| Get where from. More...
void | setPhase (int value)
| Set phase. More...
int | phase () const
| Get phase. More...
bool | inTrouble () const
| are we in trouble More...
Public Member Functions inherited from ClpDisasterHandler
| ClpDisasterHandler (ClpSimplex *model=NULL)
| Default constructor. More...
virtual | ~ClpDisasterHandler ()
| Destructor. More...
| ClpDisasterHandler (const ClpDisasterHandler &)
ClpDisasterHandler & | operator= (const ClpDisasterHandler &)
void | setSimplex (ClpSimplex *model)
| set model. More...
ClpSimplex * | simplex () const
| Get model. More...

## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
OsiClpSolverInterface * | osiModel_
| Pointer to model. More...
int | whereFrom_
| Where from 0 dual (resolve) 1 crunch 2 primal (resolve) 4 dual (initialSolve) 6 primal (initialSolve) More...
int | phase_
| phase 0 initial 1 trying continuing with back in and maybe different perturb 2 trying continuing with back in and different scaling 3 trying dual from all slack 4 trying primal from previous stored basis More...
bool | inTrouble_
| Are we in trouble. More...
Protected Attributes inherited from ClpDisasterHandler
ClpSimplex * | model_
| Pointer to simplex. More...

## Detailed Description

Definition at line 1420 of file OsiClpSolverInterface.hpp.

## Constructor & Destructor Documentation

OsiClpDisasterHandler::OsiClpDisasterHandler | ( | OsiClpSolverInterface * | model = `NULL` | ) |

Default constructor.

virtual OsiClpDisasterHandler::~OsiClpDisasterHandler | ( |  | ) |
| virtual

Destructor.

OsiClpDisasterHandler::OsiClpDisasterHandler | ( | const OsiClpDisasterHandler & |  | ) |

## Member Function Documentation

virtual void OsiClpDisasterHandler::intoSimplex | ( |  | ) |
| virtual

Into simplex.

Implements ClpDisasterHandler.

virtual bool OsiClpDisasterHandler::check | ( |  | ) | const
| virtual

Checks if disaster.

Implements ClpDisasterHandler.

virtual void OsiClpDisasterHandler::saveInfo | ( |  | ) |
| virtual

saves information for next attempt

Implements ClpDisasterHandler.

virtual int OsiClpDisasterHandler::typeOfDisaster | ( |  | ) |
| virtual

Type of disaster 0 can fix, 1 abort.

Reimplemented from ClpDisasterHandler.

OsiClpDisasterHandler& OsiClpDisasterHandler::operator= | ( | const OsiClpDisasterHandler & |  | ) |

virtual ClpDisasterHandler* OsiClpDisasterHandler::clone | ( |  | ) | const
| virtual

Clone.

Implements ClpDisasterHandler.

void OsiClpDisasterHandler::setOsiModel | ( | OsiClpSolverInterface * | model | ) |

set model.

OsiClpSolverInterface* OsiClpDisasterHandler::osiModel | ( |  | ) | const
| inline

Get model.

Definition at line 1458 of file OsiClpSolverInterface.hpp.

void OsiClpDisasterHandler::setWhereFrom | ( | int | value | ) |
| inline

Set where from.

Definition at line 1461 of file OsiClpSolverInterface.hpp.

int OsiClpDisasterHandler::whereFrom | ( |  | ) | const
| inline

Get where from.

Definition at line 1464 of file OsiClpSolverInterface.hpp.

void OsiClpDisasterHandler::setPhase | ( | int | value | ) |
| inline

Set phase.

Definition at line 1467 of file OsiClpSolverInterface.hpp.

int OsiClpDisasterHandler::phase | ( |  | ) | const
| inline

Get phase.

Definition at line 1470 of file OsiClpSolverInterface.hpp.

bool OsiClpDisasterHandler::inTrouble | ( |  | ) | const

are we in trouble

## Member Data Documentation

OsiClpSolverInterface* OsiClpDisasterHandler::osiModel_
| protected

Pointer to model.

Definition at line 1483 of file OsiClpSolverInterface.hpp.

int OsiClpDisasterHandler::whereFrom_
| protected

Where from 0 dual (resolve) 1 crunch 2 primal (resolve) 4 dual (initialSolve) 6 primal (initialSolve)

Definition at line 1491 of file OsiClpSolverInterface.hpp.

int OsiClpDisasterHandler::phase_
| protected

phase 0 initial 1 trying continuing with back in and maybe different perturb 2 trying continuing with back in and different scaling 3 trying dual from all slack 4 trying primal from previous stored basis

Definition at line 1499 of file OsiClpSolverInterface.hpp.

bool OsiClpDisasterHandler::inTrouble_
| protected

Are we in trouble.

Definition at line 1501 of file OsiClpSolverInterface.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/Clp/src/OsiClp/OsiClpSolverInterface.hpp